UnsolicitedNotification (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.naming.ldap
Interface UnsolicitedNotification

All Superinterfaces:
  ExtendedResponse, HasControls, Serializable

public interface UnsolicitedNotification
extends ExtendedResponse, HasControls

This interface represents an unsolicited notification as defined in RFC 2251. An unsolicited notification is sent by the LDAP server to the LDAP client without any provocation from the client. Its format is that of an extended response (`ExtendedResponse`).

Since:
  1.3
See Also:
  `ExtendedResponse`, `UnsolicitedNotificationEvent`, `UnsolicitedNotificationListener`

Method Summary
`NamingException` | `getException()` Retrieves the exception as constructed using information sent by the server.
`String[]` | `getReferrals()` Retrieves the referral(s) sent by the server.

Methods inherited from interface javax.naming.ldap.ExtendedResponse
`getEncodedValue, getID`

Methods inherited from interface javax.naming.ldap.HasControls
`getControls`

Method Detail

### getReferrals

    public String[] getReferrals()

  Retrieves the referral(s) sent by the server.

  Returns:
    A possibly null array of referrals, each of which is represented by a URL string. If null, no referral was sent by the server.

### getException

    public NamingException getException()

  Retrieves the exception as constructed using information sent by the server.

  Returns:
    A possibly null exception as constructed using information sent by the server. If null, a "success" status was indicated by the server.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.